/*
 * SPDX-License-Identifier: AGPL-3.0-only
 * Copyright (c) Camden Dixie O'Brien
 */

#ifndef TIME_MANAGER_H
#define TIME_MANAGER_H

typedef struct {
	unsigned hour;
	unsigned minute;
} Time;

typedef struct {
	unsigned year;
	unsigned month;
	unsigned day;
} Date;

/**
 * Initialize the time module.
 */
void time_manager_init(void);

/**
 * Get the current time.
 */
Time get_time(void);

/**
 * Set the time.
 */
void set_time(Time time);

/**
 * Get the current date.
 */
Date get_date(void);

/**
 * Set the date.
 */
void set_date(Date date);

#endif
